Heads-up for OpenBSD 5.4 > 5.5 update, part II – what can go wrong with ports?

Part II:

obsd55amd64test # pkg_add -za -l /root/pkg_list_full
Can’t find apache-httpd-2.2.25-ldap
Can’t install apr-util-1.4.1p2-ldap because of conflicts (apr-util-1.4.1p2)
atk-2.10.0p0: ok
autoconf-2.13p3:metaauto-1.0p1: ok
autoconf-2.13p3: ok
autoconf-2.59p4: ok
autoconf-2.65p0: ok
autoconf-2.67p0: ok
autoconf-2.68p0: ok
autoconf-2.69p1: ok
automake-1.10.3p7: ok
automake-1.11.6p1: ok
bison-2.3p1: ok
cmake-2.8.12.1p1:libarchive-3.0.4p0: ok
cmake-2.8.12.1p1: ok
docbook-4.5p1:docbook-dsssl-1.79: ok
docbook-4.5p1:iso8879-1986p0: ok
docbook-4.5p1: ok
docbook-xsl-1.68.1p5:libxslt-1.1.28p0: ok
docbook-xsl-1.68.1p5: ok
doxygen-1.8.2p0: ok
freetds-0.92.79:iodbc-3.52.7p1: ok
freetds-0.92.79: ok
gmake-4.0p0: ok
gmp-5.0.2p2: ok
gnome-icon-theme-3.10.0p2:libcroco-0.6.8p0: ok
gnome-icon-theme-3.10.0p2:librsvg-2.40.1: ok
gnome-icon-theme-3.10.0p2: ok
gnome-icon-theme-symbolic-3.10.1: ok
gnugetopt-1.1.4p2: ok
gobject-introspection-1.38.0p1: ok
groff-1.22.2p4: ok
gtk+2-2.24.22p0: ok
help2man-1.41.1p0: ok
icon-naming-utils-0.8.90p0:p5-XML-Parser-2.41p0: ok
icon-naming-utils-0.8.90p0:p5-XML-NamespaceSupport-1.11p0: ok
icon-naming-utils-0.8.90p0:p5-XML-SAX-0.96p1: ok
icon-naming-utils-0.8.90p0:p5-XML-Simple-2.18p0: ok
icon-naming-utils-0.8.90p0: ok
icontool-0.1.0: ok
intltool-0.50.2: ok
Ambiguous: choose package for jenkins-1.522
a       0: <None>
1: jenkins-1.509.4p2
2: jenkins-1.549p0
Your choice: 2
useradd: Warning: home directory `/var/jenkins’ doesn’t exist, and -m was not specified
jenkins-1.549p0: ok
libart-2.3.21: ok
libproxy-0.4.11p3: ok
libsigsegv-2.10p0: ok
libtool-2.4.2p0: ok
libusb1-1.0.9p8: ok
logtail-1.3.14p1: ok
Ambiguous: choose package for lua-5.2.2
a       0: <None>
1: lua-5.1.5p1
2: lua-5.2.3
Your choice: 2
m4-1.4.17: ok
Can’t find mediawiki-1.19.6
neon-0.29.6p4: ok
ninja-1.4.0: ok
openjade-1.3.3pre1p0:opensp-1.5.2: ok
openjade-1.3.3pre1p0: ok
p5-Digest-SHA1-2.13p2: ok
p5-Log-Log4perl-1.40: ok
p5-Net-CIDR-0.17: ok
Can’t find p5-RRD-1.2.30p3
Can’t find pecl-fileinfo-1.0.4p7
php-fastcgi-5.3.28p2: ok
php-gd-5.3.28p0: ok
php-ldap-5.3.28p0: ok
php-mcrypt-5.3.28p0: ok
php-pgsql-5.3.28p0: ok
php-pspell-5.3.28p0: ok
Ambiguous: choose package for postfix-2.11.20130710-pgsql
a       0: <None>
1: postfix-2.11.0-pgsql
2: postfix-2.12.20140109-pgsql
Your choice: 2
py-libxml-2.9.1: ok
Ambiguous: choose package for ruby-1.9.3.448
a       0: <None>
1: ruby-1.8.7.374p0
2: ruby-1.9.3.484p0
3: ruby-2.0.0.353
4: ruby-2.1.0p0
Your choice: 2]
Ambiguous value !
Your choice: 2
Can’t find ruby19-redis-3.0.4
tcl-8.5.15p2: ok
Can’t find thttpd-2.25bp3
tidyp-1.04v0: ok
tk-8.5.15p1: ok
Ambiguous: choose package for tomcat-7.0.42
a       0: <None>
1: tomcat-6.0.39
2: tomcat-7.0.50
Your choice: 2
Ambiguous: choose package for tomcat-examples-7.0.42
a       0: <None>
1: tomcat-examples-6.0.39
2: tomcat-examples-7.0.50
Your choice: 2
vala-0.22.1: ok
xmlto-0.0.25: ok
xmltoman-0.4: ok
The following new rcscripts were installed: /etc/rc.d/jenkins
See rc.d(8) for details.
Look in /usr/local/share/doc/pkg-readmes for extra documentation.
— +php-gd-5.3.28p0 ——————-
You can enable this module by creating a symbolic link from
/etc/php-5.3.sample/gd.ini to
/etc/php-5.3/gd.ini. As root:

ln -sf /etc/php-5.3.sample/gd.ini /etc/php-5.3/gd.ini
— +php-ldap-5.3.28p0 ——————-
You can enable this module by creating a symbolic link from
/etc/php-5.3.sample/ldap.ini to
/etc/php-5.3/ldap.ini. As root:

ln -sf /etc/php-5.3.sample/ldap.ini /etc/php-5.3/ldap.ini
— +php-mcrypt-5.3.28p0 ——————-
You can enable this module by creating a symbolic link from
/etc/php-5.3.sample/mcrypt.ini to
/etc/php-5.3/mcrypt.ini. As root:

ln -sf /etc/php-5.3.sample/mcrypt.ini /etc/php-5.3/mcrypt.ini
— +php-pgsql-5.3.28p0 ——————-
You can enable this module by creating a symbolic link from
/etc/php-5.3.sample/pgsql.ini to
/etc/php-5.3/pgsql.ini. As root:

ln -sf /etc/php-5.3.sample/pgsql.ini /etc/php-5.3/pgsql.ini
— +php-pspell-5.3.28p0 ——————-
You can enable this module by creating a symbolic link from
/etc/php-5.3.sample/pspell.ini to
/etc/php-5.3/pspell.ini. As root:

ln -sf /etc/php-5.3.sample/pspell.ini /etc/php-5.3/pspell.ini
— +tcl-8.5.15p2 ——————-
You may wish to add /usr/local/lib/tcl/tcl8.5/man to /etc/man.conf
— +tk-8.5.15p1 ——————-
You may wish to add /usr/local/lib/tcl/tk8.5/man to /etc/man.conf
— apr-util-1.4.1p2-ldap ——————-
Can’t install apr-util-1.4.1p2-ldap: conflicts
obsd55amd64test #

Leave a Reply

Your email address will not be published. Required fields are marked *